Amazon Linux 2:php-pear(ALAS-2021-1602)

high Nessus プラグイン ID 146626
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのAmazon Linux 2ホストにセキュリティ更新プログラムがありません。

説明

リモートホストにインストールされているphp-pearのバージョンは1.10.12-5より前のです。したがって、ALAS2-2021-1602のアドバイザリに記載されている脆弱性の影響を受けます。

- 1.4.11までのArchive_TarのTar.phpにより、シンボリックリンクのチェックが不適切なためディレクトリトラバーサルで書き込み操作が可能になります。これはCVE-2020-28948に関連する問題です。(CVE-2020-36193)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

「yum update php-pear」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2/ALAS-2021-1602.html

https://access.redhat.com/security/cve/CVE-2020-36193

プラグインの詳細

深刻度: High

ID: 146626

ファイル名: al2_ALAS-2021-1602.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2021/2/19

更新日: 2021/2/19

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2020-36193

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.7

ベクトル: AV:N/AC:L/Au:N/C:N/I:P/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:php-pear, cpe:/o:amazon:linux:2

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/2/17

脆弱性公開日: 2021/1/18

参照情報

CVE: CVE-2020-36193

ALAS: 2021-1602